Subject: Re: bug#68894: Prosody guix service required fixes.

From: Clément Lassieur <[email-masked]>
Date: Sat, 03 Feb 2024 11:31:41 +0100

On Sat, Feb 03 2024, [email-masked] wrote:

> We could simplify it by a lot i think either way. Some ways could be: 
>
> 1. Remove the opaque-configuration since it never worked for raw
> content which does already.
>
> 2. Remove the ssl config section here
> https://guix.gnu.org/en/manual/devel/en/guix.html#index-ssl
>
> nobody should be touching these settings either way.
>
> Personally I would prefer to have a scheme config but could go either
> way. I use xmpp as my only-full time messaging and own the xmpp guix
> room.
>
> This prosody service is going to be used for joinjabber which you can
> see here btw https://codeberg.org/joinjabber/Infra
>
> I also have talked about a guix self hosted xmpp server for a guix
> room so prosody would be used for that.
>
> My thinking is that yeah the xmpp support in guix is not great and
> should be better. To that end in the short term I would be interested
> in updating/maintaining/adding xmpp software/services to guix.
>
> Longer term as i wrote maybe also putting all xmpp stuff in a single
> file. but that can come later 😄 An xmpp team would also be something
> that could be done at some point.

This all sounds good.  I'm glad the service is used and I'll help you or
review if you need!

Cheers
Clément